%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-keystone
Version:        9.5.0
Release:        3%{?dist}
Summary:        Puppet module for OpenStack Keystone
License:        Apache-2.0

URL:            https://launchpad.net/puppet-keystone

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=9.5.0
#
Patch0001: 0001-Federation-mellon-spec-test-wrong-filename-typos.patch
Patch0002: 0002-Federation-openidc-spec-test-wrong-filename-typos.patch
Patch0003: 0003-Federation-shibboleth-spec-test-wrong-filename-typos.patch
Patch0004: 0004-Ensures-keystone_wsgi_script_path-right-permissions.patch
Patch0005: 0005-Fix-shibboleth-tests.patch
Patch0006: 0006-Change-keystone-token-flush-to-run-hourly.patch
Patch0007: 0007-Remove-unnecessary-dependency-from-mod-ssl-to-conf-d.patch

BuildArch:      noarch

Requires:       puppet-apache
Requires:       puppet-inifile
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Keystone

%prep
%setup -q -n openstack-keystone-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/keystone/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/keystone/



%files
%{_datadir}/openstack-puppet/modules/keystone/


%changelog
* Fri Aug 04 2017 Jason Joyce <jjoyce@redhat.com> 9.5.0-3
- Remove unnecessary dependency from mod::ssl to conf directory
- Change keystone token flush to run hourly (rhbz#1469457)

* Tue Mar 14 2017 Jason Joyce <jjoyce@redhat.com> 9.5.0-2
- Fix shibboleth tests
- Ensures $keystone_wsgi_script_path right permissions.
- Federation shibboleth - spec test wrong filename + typos
- Federation openidc - spec test wrong filename + typos
- Federation mellon - spec test wrong filename + typos

* Tue Feb 14 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-1
- Update to 9.5.0 (rhbz#1422060)

* Thu Jan 05 2017 Jon Schlueter <jschluet@redhat.com> 9.4.0-2
- Allow the management of the Fernet Keys
- Added retries for db_sync (lp#1628580, lp#1645474)
- Use stable/newton spec helper

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Wed Sep 21 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.2.0-1
- Update to 9.2.0

#(trown) empty commit to use:
# https://github.com/redhat-openstack/rdoinfo/commit/28ee76369bf9bd357a5e2409b588856513cbe83d
# This should be removed on the next commit to puppet-keystone-distgit

